Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v1
Class ProcessCsrRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.etkra.protocol.v1.ProcessCsrRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:53:42+02:00",
               comments="JAXB RI v2.2.11")
    public class ProcessCsrRequest

extends RequestType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="SignedCsrAndContract" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="ContactData" type="{urn:be:fgov:ehealth:etkra:protocol:v1}ContactDataType"/>
             <element name="SignedCredentials" type="{urn:be:fgov:ehealth:etkra:protocol:v1}SignedCredentialsType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProcessCsrRequest()`

Method Summary
`ContactDataType` | `getContactData()` Gets the value of the contactData property.
`SignedCredentialsType` | `getSignedCredentials()` Gets the value of the signedCredentials property.
`byte[]` | `getSignedCsrAndContract()` Gets the value of the signedCsrAndContract property.
`void` | `setContactData(ContactDataType value)` Sets the value of the contactData property.
`void` | `setSignedCredentials(SignedCredentialsType value)` Sets the value of the signedCredentials property.
`void` | `setSignedCsrAndContract(byte[] value)` Sets the value of the signedCsrAndContract property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessCsrRequest

    public ProcessCsrRequest()

Method Detail

### getSignedCsrAndContract

    public byte[] getSignedCsrAndContract()

  Gets the value of the signedCsrAndContract property.

  Returns:
    possible object is byte[]

### setSignedCsrAndContract

    public void setSignedCsrAndContract(byte[] value)

  Sets the value of the signedCsrAndContract property.

  Parameters:
    `value` - allowed object is byte[]

### getContactData

    public ContactDataType getContactData()

  Gets the value of the contactData property.

  Returns:
    possible object is `ContactDataType`

### setContactData

    public void setContactData(ContactDataType value)

  Sets the value of the contactData property.

  Parameters:
    `value` - allowed object is `ContactDataType`

### getSignedCredentials

    public SignedCredentialsType getSignedCredentials()

  Gets the value of the signedCredentials property.

  Returns:
    possible object is `SignedCredentialsType`

### setSignedCredentials

    public void setSignedCredentials(SignedCredentialsType value)

  Sets the value of the signedCredentials property.

  Parameters:
    `value` - allowed object is `SignedCredentialsType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.